
#ifndef __MD2_H
#define __MD2_H

class MD2
{
	unsigned int  count;                /* number of bytes, modulo 16 */
	unsigned char state[16];            /* state */
	unsigned char checksum[16];         /* checksum */
	unsigned char buffer[16];           /* input buffer */
	unsigned char digest[16];           /* output buffer */
	unsigned char digestString[33];     /* output buffer string */

	void transform(char *block);

public:

	MD2(const char *string);
	void 	init();
	void 	update(unsigned char *input, unsigned int inputLen );
	void 	final();
	char* 	getString();
	void 	setString(char *str);
};

#endif  //  __MD2_H


